Description: Disable tests that require network
Author: Arnaud Rebillout <arnaud.rebillout@collabora.com>
Origin: vendor, Debian
Forwarded: not-needed
Last-Update: 2018-08-13
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/generate/generate_test.go
+++ b/generate/generate_test.go
@@ -18,6 +18,7 @@
 // and needs to be fixed immediately (as it will break downstreams that depend
 // on us for a "sane default" and do compliance testing -- such as umoci).
 func TestGenerateValid(t *testing.T) {
+	t.Skip("DM - skipping network test")
 	plat := "linux"
 	if runtime.GOOS == "windows" {
 		plat = "windows"
--- a/validate/validate_test.go
+++ b/validate/validate_test.go
@@ -37,6 +37,7 @@
 }
 
 func TestJSONSchema(t *testing.T) {
+	t.Skip("DM - skipping network test")
 	for _, tt := range []struct {
 		config *rspec.Spec
 		error  string
